module OrientDb
  class CollectionRepository < Base
    include OrientDb::Methods::EdgeMethods

    # Usage:
    #   repository.for(:collections).destroy collection
    #
    def destroy(collection)
      connection.command sprintf("DELETE VERTEX %s", collection.id)
    end

    def build_object(args={})
      Collection.new(
          :id => args["@rid"],
          :name => args["name"]
      )
    end

    private

    def odb_class
      "Collection"
    end

  end
end
